> ## Documentation Index
> Fetch the complete documentation index at: https://docs.baselayer.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Patch Organization In Federation



## OpenAPI

````yaml /api-reference/openapi.json patch /organizations/{organization_id}
openapi: 3.1.0
info:
  title: baselayer-api-service
  version: 0.1.0
servers:
  - url: https://api.baselayer.com/
security: []
paths:
  /organizations/{organization_id}:
    patch:
      tags:
        - Organization Management
      summary: Patch Organization In Federation
      operationId: patch_organization_in_federation_organizations__organization_id__patch
      parameters:
        - name: organization_id
          in: path
          required: true
          schema:
            type: string
            format: uuid
            title: Organization Id
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/PatchFederatedOrganizationRequest'
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/v1.OrganizationResponse'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
      security:
        - APIKeyHeader: []
components:
  schemas:
    PatchFederatedOrganizationRequest:
      properties:
        name:
          anyOf:
            - type: string
              maxLength: 100
              minLength: 3
            - type: 'null'
          title: Name
        external_id:
          anyOf:
            - type: string
              maxLength: 120
              minLength: 3
            - type: 'null'
          title: External Id
      type: object
      title: PatchFederatedOrganizationRequest
      description: Request model for patching an organization's name and/or external_id.
    v1.OrganizationResponse:
      description: Represents an organization response.
      properties:
        id:
          description: The unique identifier of the Organization.
          examples:
            - a3d9af02-e679-4c12-a9b2-220b6eb78e2d
          format: uuid
          title: Organization Identifier
          type: string
        name:
          anyOf:
            - type: string
            - type: 'null'
          description: The name of the Organization.
          examples:
            - The Avengers
          title: Organization Name
        domain_name:
          anyOf:
            - type: string
            - type: 'null'
          description: The domain name of the Organization.
          examples:
            - avengers.com
          title: Organization Domain Name
        type:
          $ref: '#/components/schemas/v1.OrganizationType'
          description: The type of the organization.
          title: Organization Type
        external_id:
          anyOf:
            - type: string
            - type: 'null'
          description: >-
            An external identifier for referencing the Organization using the ID
            from a namespace in an external system.
          examples:
            - b2e3a6ff-2734-47ed-ba87-54647e3550bd
            - org_818sja7i
          title: External Identifier
        webhooks_version:
          $ref: '#/components/schemas/v1.WebhooksVersion'
          description: The version of Baselayer Webhooks the Organization utilizies.
          examples:
            - '2.0'
        federation:
          anyOf:
            - $ref: '#/components/schemas/v1.FederationResponse'
            - type: 'null'
          description: The Federation that the Organization belongs to (if any).
          examples:
            - email: stan-lee@marvel.com
              id: 6d54d5fe-2fcd-4b83-891b-32e9e99656d6
              name: Stan Lee
          title: Federation
        applications:
          description: The Applications belonging to the Organization.
          examples:
            - enabled: true
              external_id: null
              id: 865a6f00-b7d7-4451-a787-6b89ac935f92
              name: Avengers - Sandbox
              type: sandbox
            - enabled: false
              external_id: null
              id: aee180c8-ad54-474d-8046-87fd2ec176c6
              name: Avengers - Production
              type: production
          items:
            $ref: '#/components/schemas/v1.ApplicationResponse'
          title: Applications
          type: array
      required:
        - id
        - name
        - domain_name
        - type
        - external_id
        - webhooks_version
        - federation
        - applications
      title: OrganizationResponse (v1)
      type: object
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    v1.OrganizationType:
      enum:
        - neobank
        - community_bank
        - credit_union
        - regional_bank
        - national_bank
        - fintech
        - smb_lender
        - merchant_cash_advanced
        - processor
        - infrastructure
        - other
      title: OrganizationType
      type: string
    v1.WebhooksVersion:
      enum:
        - '0.8'
        - '1.0'
        - '2.0'
        - '2.0'
      title: WebhooksVersion
      type: string
    v1.FederationResponse:
      description: Represents a federation response.
      properties:
        id:
          description: The unique identifier of the federation.
          format: uuid
          title: Id
          type: string
        name:
          anyOf:
            - type: string
            - type: 'null'
          default: null
          description: The name of the federation.
          title: Name
        contact:
          anyOf:
            - $ref: '#/components/schemas/v1.ContactResponse'
            - type: 'null'
          default: null
          description: The contact for the federation.
      required:
        - id
      title: FederationResponse (v1)
      type: object
    v1.ApplicationResponse:
      description: Represents an application response.
      properties:
        id:
          description: The unique identifier of the application.
          format: uuid
          title: Application Identifier
          type: string
        name:
          anyOf:
            - type: string
            - type: 'null'
          default: null
          description: The name of the application.
          examples:
            - The Avengers
          title: Application Name
        type:
          $ref: '#/components/schemas/v1.ApplicationType'
          description: The type of Application.
          examples:
            - sandbox
            - production
          title: Application Type
        enabled:
          description: >-
            Whether or not the application is enabled for access via the API and
            Console.
          examples:
            - true
            - false
          title: Application Enabled
          type: boolean
        external_id:
          anyOf:
            - type: string
            - type: 'null'
          default: null
          description: >-
            An identifier for referencing the application in an external
            namespace.
          title: External Identifier
      required:
        - id
        - type
        - enabled
      title: ApplicationResponse (v1)
      type: object
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
        input:
          title: Input
        ctx:
          type: object
          title: Context
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
    v1.ContactResponse:
      description: Represents a contact response.
      properties:
        id:
          description: The unique identifier of the contact.
          format: uuid
          title: Id
          type: string
        name:
          anyOf:
            - type: string
            - type: 'null'
          default: null
          description: The name of the contact.
          title: Name
        email:
          anyOf:
            - type: string
            - type: 'null'
          default: null
          description: The email of the contact.
          title: Email
      required:
        - id
      title: ContactResponse (v1)
      type: object
    v1.ApplicationType:
      enum:
        - sandbox
        - production
      title: ApplicationType
      type: string
  securitySchemes:
    APIKeyHeader:
      type: apiKey
      in: header
      name: X-API-Key

````